<template>
  <section id="contacte-targetes" class="px-4 py-20 bg-gray-100 md:px-8 lg:p-32">
    <div class="flex flex-wrap justify-center -my-6 md:-m-6">
      <!-- Address Card Start -->
      <div class="max-w-lg w-full py-6 md:w-1/2 md:p-6">
        <div class="flex flex-col items-center py-12 bg-red-500 text-white rounded-lg shadow-lg">
          <component :is="addressCard.icon" class="h-16 w-16 fill-current text-gray-300" />
          <h4 class="mt-2 text-white">{{ addressCard.heading }}</h4>
          <address class="mt-4 text-center not-italic">
            <hyper-link class="text-white hover:underline" to="//goo.gl/maps/f5aVPpv7KgRYet1V6">
              <span class="block text-white">{{ addressCard.street }}</span>
              <span
                class="mt-2 block text-white"
              >{{ addressCard.postalCode }} {{ addressCard.city }}</span>
            </hyper-link>
          </address>
        </div>
      </div>
      <!-- Address Card End -->
      <!-- Social Card Start -->
      <div class="max-w-lg w-full py-6 md:w-1/2 md:p-6">
        <div class="flex flex-col items-center py-12 bg-green-700 text-white rounded-lg shadow-lg">
          <component :is="socialCard.icon" class="h-16 w-16 fill-current text-gray-300" />
          <h4 class="mt-2 text-white">{{ socialCard.heading }}</h4>
          <p class="mt-4 text-center">
            <hyper-link
              class="block text-white hover:underline"
              :to="`mailto:${socialCard.email}`"
            >{{ socialCard.email }}</hyper-link>
            <hyper-link
              class="block mt-2 text-white hover:underline"
              :to="`//twitter.com/${socialCard.twitter}`"
            >@{{ socialCard.twitter }}</hyper-link>
          </p>
        </div>
      </div>
      <!-- Social Card End -->
    </div>
  </section>
</template>

<script>
import path from 'path';

export default {
  name: 'ContacteTargetes',
  inject: ['site'],
  props: {
    address_card: Object,
    social_card: Object,
  },
  computed: {
    addressCard() {
      const { heading, icon } = this.address_card;
      const { street, postalCode, city } = this.site.settings.address;

      return {
        heading,
        street,
        postalCode,
        city,
        icon: () => {
          const iconFile = path.basename(icon);
          return import(
            /* webpackInclude: /-icon\.svg$/ */
            `../../../static/media/${iconFile}`
          );
        },
      };
    },
    socialCard() {
      const { heading, icon } = this.social_card;
      const { email, twitter } = this.site.settings;

      return {
        heading,
        email,
        twitter,
        icon: () => {
          const iconFile = path.basename(icon);
          return import(
            /* webpackInclude: /-icon\.svg$/ */
            `../../../static/media/${iconFile}`
          );
        },
      };
    },
  },
};
</script>
